Skip to main content
GET
/
work-locations
/
public
/
api
/
imports
/
user-locations
/
results
Get import user locations results
curl --request GET \
  --url https://{host}/work-locations/public/api/imports/user-locations/results \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/work-locations/public/api/imports/user-locations/results"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/work-locations/public/api/imports/user-locations/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "summaryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "userLocationsCreatedSummary": {
    "count": 42,
    "descriptions": [
      "Created user location for Jean Dupont on 2025/09/15",
      "Updated user location for Marie Lefevre on 2025/09/16"
    ]
  },
  "userLocationsDeletedSummary": {
    "count": 2
  },
  "globalErrorSummary": "2 errors lines detected",
  "errorLines": [
    {
      "line": {
        "login": "jsmith",
        "firstname": "John",
        "lastname": "Smith",
        "worklocationName": "Paris",
        "areaName": "B1",
        "date": "2025-09-20",
        "position": "FullDay",
        "comment": "",
        "isDeletion": false
      },
      "lineNumber": 3,
      "error": "User doesn't exist"
    },
    {
      "line": {
        "login": "adurand",
        "firstname": "Alice",
        "lastname": "Durand",
        "worklocationName": "Unavailable office",
        "areaName": "",
        "date": "2025-09-21",
        "position": "FirstHalf",
        "comment": "This is a comment",
        "isDeletion": false
      },
      "lineNumber": 4,
      "error": "User location doesn't exist"
    }
  ],
  "warningLines": [
    {
      "line": {
        "login": "pmartin",
        "firstname": "Pierre",
        "lastname": "Martin",
        "worklocationName": "",
        "areaName": "",
        "date": "2025-09-22",
        "position": "FullDay",
        "comment": "",
        "isDeletion": true
      },
      "lineNumber": 5,
      "warning": "This user location can create conflict with a day off",
      "isConflict": true
    }
  ],
  "errorFileUri": "https://example.com/imports/errors/3fa85f64-5717-4562-b3fc-2c963f66afa6"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

summaryId
string
required

Identifier of the import

Response

200 - application/json

Response of analysis on work location import

summaryId
string
userLocationsCreatedSummary
object
userLocationsDeletedSummary
object
globalErrorSummary
string<nullable>
errorLines
object[]
warningLines
object[]
errorFileUri
string<nullable>